%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate konst

Name:           rust-konst
Version:        0.2.19
Release:    2%{?dist}
Summary:        Const equivalents of std functions, compile-time comparison, and parsing

License:        Zlib
URL:            https://crates.io/crates/konst
Source0:         %{crates_source}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Const equivalents of std functions, compile-time comparison, and
parsing.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-ZLIB.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+__test-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+__test-devel %{_description}

This package contains library source intended for building other packages which
use the "__test" feature of the "%{crate}" crate.

%files       -n %{name}+__test-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+__ui-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+__ui-devel %{_description}

This package contains library source intended for building other packages which
use the "__ui" feature of the "%{crate}" crate.

%files       -n %{name}+__ui-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "alloc" feature of the "%{crate}" crate.

%files       -n %{name}+alloc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+cmp-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+cmp-devel %{_description}

This package contains library source intended for building other packages which
use the "cmp" feature of the "%{crate}" crate.

%files       -n %{name}+cmp-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+const_generics-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+const_generics-devel %{_description}

This package contains library source intended for building other packages which
use the "const_generics" feature of the "%{crate}" crate.

%files       -n %{name}+const_generics-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+constant_time_slice-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+constant_time_slice-devel %{_description}

This package contains library source intended for building other packages which
use the "constant_time_slice" feature of the "%{crate}" crate.

%files       -n %{name}+constant_time_slice-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+deref_raw_in_fn-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+deref_raw_in_fn-devel %{_description}

This package contains library source intended for building other packages which
use the "deref_raw_in_fn" feature of the "%{crate}" crate.

%files       -n %{name}+deref_raw_in_fn-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+docsrs-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+docsrs-devel %{_description}

This package contains library source intended for building other packages which
use the "docsrs" feature of the "%{crate}" crate.

%files       -n %{name}+docsrs-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+konst_proc_macros-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+konst_proc_macros-devel %{_description}

This package contains library source intended for building other packages which
use the "konst_proc_macros" feature of the "%{crate}" crate.

%files       -n %{name}+konst_proc_macros-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+mut_refs-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+mut_refs-devel %{_description}

This package contains library source intended for building other packages which
use the "mut_refs" feature of the "%{crate}" crate.

%files       -n %{name}+mut_refs-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+nightly_mut_refs-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+nightly_mut_refs-devel %{_description}

This package contains library source intended for building other packages which
use the "nightly_mut_refs" feature of the "%{crate}" crate.

%files       -n %{name}+nightly_mut_refs-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+parsing-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+parsing-devel %{_description}

This package contains library source intended for building other packages which
use the "parsing" feature of the "%{crate}" crate.

%files       -n %{name}+parsing-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+parsing_no_proc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+parsing_no_proc-devel %{_description}

This package contains library source intended for building other packages which
use the "parsing_no_proc" feature of the "%{crate}" crate.

%files       -n %{name}+parsing_no_proc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rust_1_51-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rust_1_51-devel %{_description}

This package contains library source intended for building other packages which
use the "rust_1_51" feature of the "%{crate}" crate.

%files       -n %{name}+rust_1_51-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rust_1_55-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rust_1_55-devel %{_description}

This package contains library source intended for building other packages which
use the "rust_1_55" feature of the "%{crate}" crate.

%files       -n %{name}+rust_1_55-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rust_1_56-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rust_1_56-devel %{_description}

This package contains library source intended for building other packages which
use the "rust_1_56" feature of the "%{crate}" crate.

%files       -n %{name}+rust_1_56-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rust_1_57-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rust_1_57-devel %{_description}

This package contains library source intended for building other packages which
use the "rust_1_57" feature of the "%{crate}" crate.

%files       -n %{name}+rust_1_57-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rust_1_61-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rust_1_61-devel %{_description}

This package contains library source intended for building other packages which
use the "rust_1_61" feature of the "%{crate}" crate.

%files       -n %{name}+rust_1_61-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rust_1_64-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rust_1_64-devel %{_description}

This package contains library source intended for building other packages which
use the "rust_1_64" feature of the "%{crate}" crate.

%files       -n %{name}+rust_1_64-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rust_latest_stable-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rust_latest_stable-devel %{_description}

This package contains library source intended for building other packages which
use the "rust_latest_stable" feature of the "%{crate}" crate.

%files       -n %{name}+rust_latest_stable-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+trybuild-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+trybuild-devel %{_description}

This package contains library source intended for building other packages which
use the "trybuild" feature of the "%{crate}" crate.

%files       -n %{name}+trybuild-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jun 13 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.2.19-2
- Rebuilt for loongarch64

* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.19-1
- initial build
